library get_widget_properties;

import 'package:flutter/material.dart';

class Properties extends StatefulWidget {
  final Widget child;
  final Function(WidgetProperties) properties;

  const Properties({Key? key, required this.child, required this.properties})
      : super(key: key);

  @override
  _GetState createState() => _GetState();
}

class _GetState extends State<Properties> {
  GlobalKey key = GlobalKey();
  @override
  void initState() {
    super.initState();
    WidgetsBinding.instance!.addPostFrameCallback((_) {
      final RenderBox box = key.currentContext!.findRenderObject() as RenderBox;
      Offset? position = box.localToGlobal(Offset.zero);
      widget.properties(WidgetProperties(position, box.size));
    });
  }

  @override
  Widget build(BuildContext context) {
    return Wrap();
  }
}

class WidgetProperties {
  Offset position;
  Size size;
  WidgetProperties(this.position, this.size);
}
